com.io7m.r2.meshes.defaults

## Class R2UnitCube

- java.lang.Object
- - com.io7m.r2.meshes.defaults.R2UnitCube

- All Implemented Interfaces:
    com.io7m.jcanephora.core.JCGLResourceSizedType, com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2UnitCubeType, R2UnitSphereUsableType

      public final class R2UnitCube
      extends Object
      implements R2UnitCubeType

  The default implementation of the `R2UnitCubeType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jcanephora.core.JCGLArrayObjectUsableType` | `arrayObject()`
    `void` | `delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)` Delete the current object.
    `com.io7m.junsigned.ranges.UnsignedRangeInclusiveL` | `getRange()`
    `boolean` | `isDeleted()`
    `static R2UnitCubeType` | `newUnitCube(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)` Construct a new `8` segment unit sphere.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newUnitCube

          public static R2UnitCubeType newUnitCube(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)

      Construct a new `8` segment unit sphere.
      Parameters:
        `g` - An OpenGL interface
      Returns:
        A new unit sphere

    - #### delete

          public void delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)
                      throws R2Exception

      Description copied from interface: `R2DeletableType`
      Delete the current object.
      Specified by:
        `delete` in interface `R2DeletableType`
      Parameters:
        `g` - An OpenGL interface
      Throws:
        `R2Exception` - On errors

    - #### arrayObject

          public com.io7m.jcanephora.core.JCGLArrayObjectUsableType arrayObject()

      Specified by:
        `arrayObject` in interface `R2UnitSphereUsableType`
      Returns:
        The array object for the sphere

    - #### getRange

          public com.io7m.junsigned.ranges.UnsignedRangeInclusiveL getRange()

      Specified by:
        `getRange` in interface `com.io7m.jcanephora.core.JCGLResourceSizedType`

    - #### isDeleted

          public boolean isDeleted()

      Specified by:
        `isDeleted` in interface `com.io7m.jcanephora.core.JCGLResourceUsableType`

Copyright © 2016 <code@io7m.com> http://io7m.com